View Issue Details

IDProjectCategoryView StatusLast Update
0010742LazarusLCLpublic2013-09-03 12:07
ReporterSatya PothamsettiAssigned ToPaul Ishenin 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.25 (SVN)Product Build 
Target VersionFixed in Version0.9.27 (SVN) 
Summary0010742: Controls cannot be navigated using arrow keys
DescriptionCannot navigate among controls on a screen with keyboard arrow keys.

Steps to reproduce:
1.Create an empty application.
2.Drop a few buttons on it.
3.Run the app and start clicking one of the keyboard arrow keys.
The keyboard focus does not change in the buttons.

I am using Windows XP (SP2).
Additional InformationAll other windows applications created with Delphi, C# (or any other compiler) do not have this problem.
TagsNo tags attached.
Fixed in Revision
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2009-09-17 15:21

manager   ~0030795

already fixed.

Issue History

Date Modified Username Field Change
2008-01-31 15:56 Satya Pothamsetti New Issue
2008-01-31 15:56 Satya Pothamsetti Widgetset => Win32
2008-01-31 22:38 Vincent Snijders LazTarget => post 1.2
2008-01-31 22:38 Vincent Snijders Status new => acknowledged
2008-01-31 22:38 Vincent Snijders Severity minor => feature
2009-09-17 15:21 Paul Ishenin Status acknowledged => resolved
2009-09-17 15:21 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-09-17 15:21 Paul Ishenin Resolution open => fixed
2009-09-17 15:21 Paul Ishenin Assigned To => Paul Ishenin
2009-09-17 15:21 Paul Ishenin Note Added: 0030795
2011-12-01 11:22 Marc Weustink Status resolved => closed
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4